## r-cran-parallelly 1.23.0

=== DESCRIPTION ===
Package: parallelly
Version: 1.23.0
Title: Enhancing the 'parallel' Package
Imports: parallel, tools, utils
Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
                                          email = "henrikb@braju.com"))
Description: Utility functions that enhance the 'parallel' package and support the built-in parallel backends of the 'future' package.  For example, availableCores() gives the number of CPU cores available to your R process as given by the operating system, 'cgroups' and Linux containers, R options, and environment variables, including those set by job schedulers on high-performance compute clusters. If none is set, it will fall back to parallel::detectCores(). Another example is makeClusterPSOCK(), which is backward compatible with parallel::makePSOCKcluster() while doing a better job in setting up remote cluster workers without the need for configuring the firewall to do port-forwarding to your local computer.
License: LGPL (>= 2.1)
LazyLoad: TRUE
ByteCompile: TRUE
URL: https://github.com/HenrikBengtsson/parallelly
BugReports: https://github.com/HenrikBengtsson/parallelly/issues
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-01-04 13:56:41 UTC; hb
Author: Henrik Bengtsson [aut, cre, cph]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2021-01-04 21:20:05 UTC

=== debian/changelog ===
r-cran-parallelly (1.23.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 08:48:35 +0100

r-cran-parallelly (1.21.0-2) unstable; urgency=medium

  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Fri, 06 Nov 2020 11:45:31 +0100

r-cran-parallelly (1.21.0-1) unstable; urgency=medium

  * Initial release (closes: #973809)

 -- Andreas Tille <tille@debian.org>  Thu, 05 Nov 2020 13:14:30 +0100

=== debian/control ===
Source: r-cran-parallelly
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parallelly
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parallelly.git
Homepage: https://cran.r-project.org/package=parallelly
Rules-Requires-Root: no

Package: r-cran-parallelly
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R enhancing the 'parallel' package
 Utility functions that enhance the 'parallel' package and support the
 built-in parallel backends of the 'future' package. For example,
 availableCores() gives the number of CPU cores available to your R
 process as given by R options and environment variables, including those
 set by job schedulers on high-performance compute clusters. If none is
 set, it will fall back to parallel::detectCores(). Another example is
 makeClusterPSOCK(), which is backward compatible with
 parallel::makePSOCKcluster() while doing a better job in setting up
 remote cluster workers without the need for configuring the firewall to
 do port-forwarding to your local computer.

## r-cran-parallelly 1.30.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: parallelly
-Version: 1.23.0
+Version: 1.30.0
 Title: Enhancing the 'parallel' Package
 Imports: parallel, tools, utils
 Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
@@ -8,12 +8,13 @@
 License: LGPL (>= 2.1)
 LazyLoad: TRUE
 ByteCompile: TRUE
-URL: https://github.com/HenrikBengtsson/parallelly
+URL: https://parallelly.futureverse.org,
+        https://github.com/HenrikBengtsson/parallelly
 BugReports: https://github.com/HenrikBengtsson/parallelly/issues
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 NeedsCompilation: no
-Packaged: 2021-01-04 13:56:41 UTC; hb
+Packaged: 2021-12-16 05:47:12 UTC; hb
 Author: Henrik Bengtsson [aut, cre, cph]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2021-01-04 21:20:05 UTC
+Date/Publication: 2021-12-17 01:00:02 UTC

=== debian/changelog ===
r-cran-parallelly (1.30.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.30.0

 -- Nilesh Patra <nilesh@debian.org>  Fri, 31 Dec 2021 15:59:58 +0530

r-cran-parallelly (1.29.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.29.0

 -- Nilesh Patra <nilesh@debian.org>  Tue, 23 Nov 2021 19:23:11 +0530

r-cran-parallelly (1.28.1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 17:01:16 +0200

r-cran-parallelly (1.27.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 30 Aug 2021 17:49:37 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parallelly
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parallelly.git
 Homepage: https://cran.r-project.org/package=parallelly

## r-cran-parallelly 1.32.1

=== debian/changelog ===
r-cran-parallelly (1.32.1-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 26 Jul 2022 07:05:06 +0200

r-cran-parallelly (1.32.0-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 23 Jun 2022 10:53:53 +0200

r-cran-parallelly (1.31.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.31.1
  * Bump Standards-Version to 4.6.1 (no changes needed)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 17 May 2022 13:02:56 +0530

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-parallelly
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parallelly
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parallelly.git
+Homepage: https://cran.r-project.org/package=parallelly
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parallelly
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parallelly.git
-Homepage: https://cran.r-project.org/package=parallelly
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-parallelly
 Architecture: all

## r-cran-parallelly 1.34.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: parallelly
-Version: 1.30.0
+Version: 1.34.0
 Title: Enhancing the 'parallel' Package
 Imports: parallel, tools, utils
 Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
@@ -11,10 +11,10 @@
 URL: https://parallelly.futureverse.org,
         https://github.com/HenrikBengtsson/parallelly
 BugReports: https://github.com/HenrikBengtsson/parallelly/issues
-RoxygenNote: 7.1.2
+RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2021-12-16 05:47:12 UTC; hb
+Packaged: 2023-01-13 15:09:48 UTC; hb
 Author: Henrik Bengtsson [aut, cre, cph]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2021-12-17 01:00:02 UTC
+Date/Publication: 2023-01-13 17:30:02 UTC

=== debian/changelog ===
r-cran-parallelly (1.34.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jan 2023 11:38:20 +0100

r-cran-parallelly (1.33.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 20 Dec 2022 14:40:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parallelly
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parallelly.git
 Homepage: https://cran.r-project.org/package=parallelly
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-parallelly 1.36.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: parallelly
-Version: 1.34.0
+Version: 1.36.0
 Title: Enhancing the 'parallel' Package
 Imports: parallel, tools, utils
 Authors@R: c(person("Henrik", "Bengtsson", role=c("aut", "cre", "cph"),
@@ -13,8 +13,8 @@
 BugReports: https://github.com/HenrikBengtsson/parallelly/issues
 RoxygenNote: 7.2.3
 NeedsCompilation: no
-Packaged: 2023-01-13 15:09:48 UTC; hb
+Packaged: 2023-05-26 19:40:22 UTC; henrik
 Author: Henrik Bengtsson [aut, cre, cph]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2023-01-13 17:30:02 UTC
+Date/Publication: 2023-05-26 20:30:02 UTC

=== debian/changelog ===
r-cran-parallelly (1.36.0-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 26 Jun 2023 11:51:01 +0200

## r-cran-parallelly 1.37.1

=== DESCRIPTION ===
Package: parallelly
Version: 1.37.1
Title: Enhancing the 'parallel' Package
Imports: parallel, tools, utils
Authors@R: c(person("Henrik", "Bengtsson",
                    role = c("aut", "cre", "cph"),
                    email = "henrikb@braju.com",
                    comment = c(ORCID = "0000-0002-7579-5165")))
Description: Utility functions that enhance the 'parallel' package and support the built-in parallel backends of the 'future' package.  For example, availableCores() gives the number of CPU cores available to your R process as given by the operating system, 'cgroups' and Linux containers, R options, and environment variables, including those set by job schedulers on high-performance compute clusters. If none is set, it will fall back to parallel::detectCores(). Another example is makeClusterPSOCK(), which is backward compatible with parallel::makePSOCKcluster() while doing a better job in setting up remote cluster workers without the need for configuring the firewall to do port-forwarding to your local computer.
License: LGPL (>= 2.1)
LazyLoad: TRUE
ByteCompile: TRUE
URL: https://parallelly.futureverse.org,
        https://github.com/HenrikBengtsson/parallelly
BugReports: https://github.com/HenrikBengtsson/parallelly/issues
Encoding: UTF-8
RoxygenNote: 7.3.1
NeedsCompilation: yes
Packaged: 2024-02-29 04:56:55 UTC; henrik
Author: Henrik Bengtsson [aut, cre, cph]
    (<https://orcid.org/0000-0002-7579-5165>)
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2024-02-29 07:10:02 UTC

=== debian/changelog ===
r-cran-parallelly (1.37.1-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:34:27 +1100

r-cran-parallelly (1.37.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 01 Mar 2024 08:58:04 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: r-cran-parallelly
 Section: gnu-r
 Priority: optional
-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parallelly
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parallelly.git
@@ -14,8 +15,9 @@
 Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-parallelly
-Architecture: all
+Architecture: any
 Depends: ${R:Depends},
+         ${shlibs:Depends},
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}

## r-cran-parallelly 1.38.0

=== DESCRIPTION ===
Package: parallelly
Version: 1.38.0
Title: Enhancing the 'parallel' Package
Imports: parallel, tools, utils
Authors@R: c(
        person("Henrik", "Bengtsson",
               role = c("aut", "cre", "cph"),
               email = "henrikb@braju.com",
               comment = c(ORCID = "0000-0002-7579-5165")),
        person("Mike", "Cheng",
               role = c("ctb"),
               email = "mikefc@coolbutuseless.com")
    )
Description: Utility functions that enhance the 'parallel' package and support the built-in parallel backends of the 'future' package.  For example, availableCores() gives the number of CPU cores available to your R process as given by the operating system, 'cgroups' and Linux containers, R options, and environment variables, including those set by job schedulers on high-performance compute clusters. If none is set, it will fall back to parallel::detectCores(). Another example is makeClusterPSOCK(), which is backward compatible with parallel::makePSOCKcluster() while doing a better job in setting up remote cluster workers without the need for configuring the firewall to do port-forwarding to your local computer.
License: LGPL (>= 2.1)
LazyLoad: TRUE
ByteCompile: TRUE
URL: https://parallelly.futureverse.org,
        https://github.com/HenrikBengtsson/parallelly
BugReports: https://github.com/HenrikBengtsson/parallelly/issues
Encoding: UTF-8
RoxygenNote: 7.3.2
NeedsCompilation: yes
Packaged: 2024-07-27 10:12:32 UTC; henrik
Author: Henrik Bengtsson [aut, cre, cph]
    (<https://orcid.org/0000-0002-7579-5165>),
  Mike Cheng [ctb]
Maintainer: Henrik Bengtsson <henrikb@braju.com>
Repository: CRAN
Date/Publication: 2024-07-27 11:00:02 UTC

=== debian/changelog ===
r-cran-parallelly (1.38.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Mon, 02 Sep 2024 12:48:41 +0900

## r-cran-parallelly 1.41.0

=== debian/changelog ===
r-cran-parallelly (1.41.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Charles Plessy <plessy@debian.org>  Mon, 20 Jan 2025 12:17:51 +0900

## r-cran-parallelly 1.42.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Package: parallelly
-Version: 1.38.0
+Version: 1.42.0
 Title: Enhancing the 'parallel' Package
 Imports: parallel, tools, utils
+Suggests: commonmark, base64enc
+VignetteBuilder: parallelly
 Authors@R: c(
         person("Henrik", "Bengtsson",
                role = c("aut", "cre", "cph"),
@@ -16,15 +18,15 @@
 LazyLoad: TRUE
 ByteCompile: TRUE
 URL: https://parallelly.futureverse.org,
-        https://github.com/HenrikBengtsson/parallelly
-BugReports: https://github.com/HenrikBengtsson/parallelly/issues
+        https://github.com/futureverse/parallelly
+BugReports: https://github.com/futureverse/parallelly/issues
 Encoding: UTF-8
 RoxygenNote: 7.3.2
 NeedsCompilation: yes
-Packaged: 2024-07-27 10:12:32 UTC; henrik
+Packaged: 2025-01-30 15:20:15 UTC; henrik
 Author: Henrik Bengtsson [aut, cre, cph]
     (<https://orcid.org/0000-0002-7579-5165>),
   Mike Cheng [ctb]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2024-07-27 11:00:02 UTC
+Date/Publication: 2025-01-30 16:20:02 UTC

=== debian/changelog ===
r-cran-parallelly (1.42.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Charles Plessy <plessy@debian.org>  Mon, 03 Feb 2025 08:41:12 +0900

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: r-cran-parallelly
 Section: gnu-r
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parallelly
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parallelly.git
 Homepage: https://cran.r-project.org/package=parallelly
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-commonmark,
        r-cran-base64enc
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/parallelly_([-\d.]*)\.tar\.gz

## r-cran-parallelly 1.46.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Package: parallelly
-Version: 1.42.0
+Version: 1.46.0
 Title: Enhancing the 'parallel' Package
 Imports: parallel, tools, utils
 Suggests: commonmark, base64enc
@@ -20,13 +20,14 @@
 URL: https://parallelly.futureverse.org,
         https://github.com/futureverse/parallelly
 BugReports: https://github.com/futureverse/parallelly/issues
+Language: en-US
 Encoding: UTF-8
-RoxygenNote: 7.3.2
+RoxygenNote: 7.3.3
 NeedsCompilation: yes
-Packaged: 2025-01-30 15:20:15 UTC; henrik
-Author: Henrik Bengtsson [aut, cre, cph]
-    (<https://orcid.org/0000-0002-7579-5165>),
+Packaged: 2025-12-12 02:56:20 UTC; hb
+Author: Henrik Bengtsson [aut, cre, cph] (ORCID:
+    <https://orcid.org/0000-0002-7579-5165>),
   Mike Cheng [ctb]
 Maintainer: Henrik Bengtsson <henrikb@braju.com>
 Repository: CRAN
-Date/Publication: 2025-01-30 16:20:02 UTC
+Date/Publication: 2025-12-12 07:10:24 UTC

=== debian/changelog ===
r-cran-parallelly (1.46.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 24 Dec 2025 09:45:30 +0900

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: r-cran-parallelly
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-parallelly
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-parallelly.git
 Homepage: https://cran.r-project.org/package=parallelly
-Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-parallelly
 Architecture: any
